%define version 0.5.0
%define prever pre3
%define release 0.%{prever}.1mdk
%define name gai
%define lib_major 0
%define lib_name %mklibname %name %{lib_major}

Name:		%{name}
Version:	%{version}
Summary:    General Applet Interface Library
Release:	%{release}
License:	LGPL
Group:      Graphical desktop/GNOME
Url:		http://gai.sf.net
Source0:	%{name}-%{version}%{prever}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires: 	gai-album, gai-bgswitcher, gai-blobs, gai-leds
Requires: 	gai-mailcounter, gai-pal, gai-visual-audio, gai-sun
BuildRequires:	libgnomeui2-devel >= 2.0
BuildRequires:	libglade2.0-devel >= 2.0
BuildRequires:  libpanel-applet-devel

%description
A collection of applets for Gnome

%package -n %{lib_name}
Summary:    General Applet Interface Library
Group:      System/Libraries
Provides:   %{lib_name} = %{version}-%{release}
Provides:   lib%{name} = %{version}-%{release}

%description -n %{lib_name}
This library is intended to simplify the development and use of
dockapps and gnome panel applets. With this library the programmer
can focus on what the applet shall do, not on the interface.

%package -n %{lib_name}-devel
Summary:        Development files for gai
Group:          Development/C
Provides:       %{lib_name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:       %{lib_name} = %{version}-%{release}
Requires:  	libpanel-applet-devel


%description -n %{lib_name}-devel
This library is intended to simplify the development and use of
dockapps and gnome panel applets.
This package allows you to develop applications using gai

%prep
%setup -q -n %name-%{version}%{prever}

%build
%configure2_5x
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PREFIX=%buildroot%_prefix

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS BUGS ChangeLog README* THANKS TODO WINDOWMANAGERS 

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/lib%{name}-0*
#we put this here, if it was in devel,
#it will force all rpm depend on -devel
#if you make a new package version, put
#this line in devel package, try to build
#an applet and see if it depend on devel,
#it true, remove line from devel,
#problem with lib, hope authors will do a fix :/
%{_libdir}/lib%{name}.so

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%doc docs/*
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- new versiona

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.6mdk
- fix devel requires again

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.5mdk
- fix devel requirements again
- add docs

* Tue Sep 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.4mdk
- use configure2_5x
- fix devel requires and buildrequires

* Mon Sep 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-0.pre2.3mdk
- BuildRequires:  libpanel-applet-devel
 
* Sun Sep 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-0.pre2.2mdk
- redo virtual package

* Sun Sep 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-0.pre2.1mdk
- cleanup
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
	- Make a spec file
